#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_DATA(dahdi_transcode_fops, "", "");
KSYMTAB_DATA(dahdi_trunkdev_fops, "", "");
KSYMTAB_FUNC(dahdi_init_tone_state, "", "");
KSYMTAB_FUNC(dahdi_mf_tone, "", "");
KSYMTAB_DATA(__dahdi_mulaw, "", "");
KSYMTAB_DATA(__dahdi_alaw, "", "");
KSYMTAB_DATA(__dahdi_lin2mu, "", "");
KSYMTAB_DATA(__dahdi_lin2a, "", "");
KSYMTAB_FUNC(dahdi_rbsbits, "", "");
KSYMTAB_FUNC(dahdi_qevent_nolock, "", "");
KSYMTAB_FUNC(dahdi_qevent_lock, "", "");
KSYMTAB_FUNC(dahdi_hooksig, "", "");
KSYMTAB_FUNC(dahdi_alarm_notify, "", "");
KSYMTAB_FUNC(dahdi_hdlc_abort, "", "");
KSYMTAB_FUNC(dahdi_hdlc_finish, "", "");
KSYMTAB_FUNC(dahdi_hdlc_getbuf, "", "");
KSYMTAB_FUNC(dahdi_hdlc_putbuf, "", "");
KSYMTAB_FUNC(dahdi_alarm_channel, "", "");
KSYMTAB_FUNC(dahdi_register_echocan_factory, "", "");
KSYMTAB_FUNC(dahdi_unregister_echocan_factory, "", "");
KSYMTAB_FUNC(dahdi_set_hpec_ioctl, "", "");
KSYMTAB_FUNC(dahdi_span_find_by_name_and_get, "", "");
KSYMTAB_FUNC(dahdi_str2spantype, "", "");
KSYMTAB_FUNC(dahdi_spantype2str, "", "");
KSYMTAB_FUNC(dahdi_lineconfig_bit_name, "", "");
KSYMTAB_FUNC(lineconfig_str, "", "");
KSYMTAB_FUNC(dahdi_lboname, "", "");
KSYMTAB_FUNC(dahdi_set_dynamic_ops, "", "");
KSYMTAB_FUNC(dahdi_create_device, "", "");
KSYMTAB_FUNC(dahdi_free_device, "", "");
KSYMTAB_FUNC(dahdi_init_span, "", "");
KSYMTAB_FUNC(dahdi_get_auto_assign_spans, "", "");
KSYMTAB_FUNC(dahdi_register_device, "", "");
KSYMTAB_FUNC(dahdi_unregister_device, "", "");
KSYMTAB_FUNC(__dahdi_ec_chunk, "", "");
KSYMTAB_FUNC(_dahdi_ec_span, "", "");
KSYMTAB_FUNC(_dahdi_transmit, "", "");
KSYMTAB_FUNC(_dahdi_receive, "", "");
KSYMTAB_FUNC(dahdi_register_chardev, "", "");
KSYMTAB_FUNC(dahdi_unregister_chardev, "", "");

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F6D9299FF26E40FDEE1A462");
